Search Integration

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/integration
API call form
Examples
List of examples
  • Getting an Integration together with the dashboards and datasets associated to it.
  • Get all datasets in Integration
  • Get all dashboards in Integration
  • Get all dashboards and datasets in Integration
Description

Note: this automatically returns the IntegrationAccessRight as well.

Base URL
https://api.luzmo.com/0.1.0/integration
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "7d00f28c-64d6-467a-a101-2cc48f8b6f64",
      "name": {
        "en": "My demo integration"
      },
      "login_provider_url": null,
      "created_at": "2021-07-28T14:40:03.145Z",
      "updated_at": "2021-07-22T11:47:55.483Z",
      "user_id": "34b22f36-4904-497f-8acf-b0ba1d7e83cb",
      "securables": [
        {
          "id": "2fd38d4c-854b-4d79-bb75-2cf09b0b71a4",
          "name": {
            "en": "My example dataset"
          },
          "type": "dataset",
          "integrationAccessRight": {
            "flagRead": true,
            "flagUse": true,
            "flagModify": false,
            "filters": "[]",
            "slug": null,
            "created_at": "2021-07-28T14:40:03.194Z",
            "updated_at": "2021-07-28T14:40:03.194Z",
            "integration_id": "7d00f28c-64d6-467a-a101-2cc48f8b6f64",
            "securable_id": "2fd38d4c-854b-4d79-bb75-2cf09b0b71a4"
          }
        },
        {
          "id": "ac6a84a7-1019-4deb-8ed4-03a93e9565a8",
          "name": {
            "en": "My example dashboard"
          },
          "type": "dashboard",
          "integrationAccessRight": {
            "flagRead": true,
            "flagUse": true,
            "flagModify": true,
            "filters": "[]",
            "slug": "mydemoslug",
            "created_at": "2021-07-23T07:42:23.084Z",
            "updated_at": "2021-07-23T07:42:23.084Z",
            "integration_id": "7d00f28c-64d6-467a-a101-2cc48f8b6f64",
            "securable_id": "ac6a84a7-1019-4deb-8ed4-03a93e9565a8"
          }
        }
      ]
    }
  ]
}